veracrypt - Added latest release of VeraCrypt

This commit is contained in:
thetechprepper
2026-09-09 19:09:35 -07:00
parent 6697bcaa30
commit 10a9b8deaf
3 changed files with 42 additions and 2 deletions
+4 -2
View File
@@ -1,7 +1,7 @@
# EmComm Tools Regression Tests
- **Build**: ETC R7 Build 23
- **Date**: 5 September 2026
- **Build**: ETC R7 Build 26
- **Date**: 9 September 2026
## First Login
@@ -127,8 +127,10 @@
## Security
* [ ] GNU Privacy Guard (OpenPGP)
* [ ] gpa
* [ ] Paranoia File & Text Encryption
* [ ] VeraCrypt
## fldigi/flmsg/flamp
+31
View File
@@ -0,0 +1,31 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 7 September 2026
# Purpose : Install Veracrypt
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP="veracrypt"
VERSION="1.26.29"
FILE="veracrypt-${VERSION}-Ubuntu-22.04-amd64.deb"
URL="https://github.com/veracrypt/VeraCrypt/releases/download/VeraCrypt_${VERSION}/${FILE}"
et-log "Installing ${APP} ${VERSION}..."
et-log "Installing dependencies..."
apt install \
pcscd \
-y
if [[ ! -e "${ET_DIST_DIR}/${FILE}" ]]; then
et-log "Downloading ${APP}: ${URL}"
download_with_retries ${URL} ${FILE}
mv -v ${FILE} ${ET_DIST_DIR}
fi
dpkg -i "${ET_DIST_DIR}/${FILE}"
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 9 September 2026
# Purpose : Test VeraCrypt installation
OUT=$(which veracrypt)
exit $?